Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 332503 - kde-base/pykde4-4.5.{0,1} - fails to emerge "Mapped type has already been defined in another module"
Summary: kde-base/pykde4-4.5.{0,1} - fails to emerge "Mapped type has already been def...
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: x86 Linux
: High normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL: https://bugs.kde.org/show_bug.cgi?id=...
Whiteboard: inOverlay
Keywords:
: 335710 335849 336087 336705 336776 336778 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-08-12 17:56 UTC by Tobias S
Modified: 2010-12-25 20:10 UTC (History)
42 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build log pykde (build.log,11.26 KB, text/plain)
2010-08-12 18:58 UTC, Tobias S
Details
patch from upstream (pykde4.patch,1.37 KB, patch)
2010-09-01 17:43 UTC, Rodolfo Boer
Details | Diff
Integrated patch from upstream (pykde4-4.5.1-r1.ebuild,2.00 KB, text/plain)
2010-09-10 23:39 UTC, Lars Tiefland
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias S 2010-08-12 17:56:07 UTC
kde-base/pykde4-4.5.0 failed to emerge.
Emerge --info and emerge log at
http://pastebin.com/19FRB3v1 http://pastebin.com/5hUEErEQ


Reproducible: Always

Steps to Reproduce:
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-08-12 18:38:11 UTC
Please attach or include in the comment the build log and emerge --info.
Never link to a "transient" paste site.
Comment 2 Tobias S 2010-08-12 18:46:51 UTC
   1.
      emerge --info      
   2.
      Portage 2.2_rc67 (default/linux/x86/10.0, gcc-4.4.4, glibc-2.11.2-r0, 2.6.35-gentoo i686)
   3.
      =================================================================
   4.
      System uname: Linux-2.6.35-gentoo-i686-Intel-R-_Core-TM-2_Duo_CPU_T5850_@_2.16GHz-with-gentoo-2.0.1
   5.
      Timestamp of tree: Thu, 12 Aug 2010 13:45:01 +0000
   6.
      app-shells/bash:     4.1_p7
   7.
      dev-java/java-config: 2.1.11
   8.
      dev-lang/python:     2.6.5-r3, 3.1.2-r4
   9.
      dev-util/cmake:      2.8.1-r2
  10.
      sys-apps/baselayout: 2.0.1
  11.
      sys-apps/openrc:     0.6.1-r1
  12.
      sys-apps/sandbox:    2.2
  13.
      sys-devel/autoconf:  2.13, 2.65-r1
  14.
      sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
  15.
      sys-devel/binutils:  2.20.1-r1
  16.
      sys-devel/gcc:       4.4.4-r1
  17.
      sys-devel/gcc-config: 1.4.1
  18.
      sys-devel/libtool:   2.2.10
  19.
      virtual/os-headers:  2.6.34
  20.
      ACCEPT_KEYWORDS="x86 ~x86"
  21.
      ACCEPT_LICENSE="*"
  22.
      CBUILD="i686-pc-linux-gnu"
  23.
      CFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer -mssse3"
  24.
      CHOST="i686-pc-linux-gnu"
  25.
      CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
  26.
      CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
  27.
      CXXFLAGS="-O2 -march=core2 -pipe -fomit-frame-pointer -mssse3"
  28.
      DISTDIR="/usr/portage/distfiles"
  29.
      FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
  30.
      GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo "
  31.
      LDFLAGS="-Wl,-O1 -Wl,--as-needed"
  32.
      LINGUAS="de en"
  33.
      MAKEOPTS="-j3"
  34.
      PKGDIR="/usr/portage/packages"
  35.
      PORTAGE_CONFIGROOT="/"
  36.
      PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
  37.
      PORTAGE_TMPDIR="/var/tmp"
  38.
      PORTDIR="/usr/portage"
  39.
      PORTDIR_OVERLAY="/var/lib/layman/wirelay /var/lib/layman/qting-edge /var/lib/layman/kde /var/lib/layman/x11 /var/lib/layman/multimedia /var/lib/layman"
  40.
      SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
  41.
      USE="X accessibility acl acpi alsa apache2 bash-completion bluetooth bzip2 cdr cgi clamav cli connectionstatus cracklib crypt cups cxx dbus dri dvd dvdr filter firefox force-cgi-redirect fortran gdbm gif glitz gnutls gpm hal highlight history iconv icq intel ipv6 irmc jpeg kde kde4 kdehiddenvisibility laptop latex libwww mmx modules mp3 mpeg mudflap mysqli mzsql ncurses networkmanager nls no-old-linux nptl nptlonly nvidia ogg opengl openmp oss pam pcre perl png pppd pulseaudio python qt3 qt4 readline reflection samba session simplexml sockets spl sse sse2 ssl ssse3 svg symlink sysfs tcpd tiff tokenizer truetype unicode usb v4l v4l2 vorbis win32codecs x86 xcomposite xine xml xorg xvmc zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="synaptics keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
  42.
      Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 3 Tobias S 2010-08-12 18:58:20 UTC
Created attachment 242651 [details]
build log pykde
Comment 4 Tobias S 2010-08-12 18:59:13 UTC
(In reply to comment #1)
> Please attach or include in the comment the build log and emerge --info.
> Never link to a "transient" paste site.
> 

I'm sorry =)
Comment 5 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-08-12 19:09:29 UTC
sip: /var/tmp/portage/kde-base/pykde4-4.5.0/work/pykde4-4.5.0/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Error 1

Have you tried to rebuild sip?

(In reply to comment #4)
> (In reply to comment #1)
> > Please attach or include in the comment the build log and emerge --info.
> > Never link to a "transient" paste site.
> > 
> I'm sorry =)

There's nothing to be sorry about :)
Comment 6 Tobias S 2010-08-12 19:27:14 UTC
no but now i tried but doesnt help 
Comment 7 Jean-Baptiste Balleyguier 2010-08-14 09:02:50 UTC
(In reply to comment #6)
> no but now i tried but doesnt help 
> 

I have the same issue  : tried to recompile everything... it doesn't help. 
Comment 8 Jean-Baptiste Balleyguier 2010-08-14 09:16:46 UTC
The necessary emerge --info : 

Portage 2.2_rc67_p486 (default/linux/amd64/10.0/desktop, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34-gentoo-ithil x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-ithil-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.0.1
Timestamp of tree: Sat, 14 Aug 2010 06:00:01 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p51
dev-java/java-config: 2.1.11
dev-lang/python:     2.5.4-r3, 2.6.5-r3
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
virtual/os-headers:  2.6.34 (sys-kernel/linux-headers)
ABI="amd64"
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA skype-eula RTCW-ETEULA AdobeFlash-10.1 dlj-1.1 googleearth"
ACCEPT_PROPERTIES="*"
ALSA_CARDS="hda-intel"
ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol"
APACHE2_MODULES="apache2 alias userdir rewrite ssl info authz_host authz_default mime status mpm dav ldap php5 autoindex dir"
ARCH="amd64"
ASFLAGS_x86="--32"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CCACHE_DIR="/var/tmp/ccache"
CCACHE_SIZE="2G"
CDEFINE_amd64="__x86_64__"
CDEFINE_x86="__i386__"
CFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer -mmmx -msse -msse2 -msse3"
CFLAGS_x86="-m32"
CHOST="x86_64-pc-linux-gnu"
CHOST_amd64="x86_64-pc-linux-gnu"
CHOST_x86="i686-pc-linux-gnu"
CLEAN_DELAY="5"
COLLISION_IGNORE="/lib/modules"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CVS_RSH="ssh"
CXXFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer -mmmx -msse -msse2 -msse3"
DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-OjPdixvoBo,guid=beff60c3fc034c633618eb2c000000fb"
DCCC_PATH="/usr/lib64/distcc/bin"
DEFAULT_ABI="amd64"
DISPLAY=":0.0"
DISTCC_LOG=""
DISTCC_VERBOSE=""
DISTDIR="/usr/portage/distfiles"
EDITOR="/bin/nano"
ELIBC="glibc"
EMERGE_DEFAULT_OPTS="--ask --jobs=2 --load-average=5.0 --verbose --with-bdeps y --keep-going"
EMERGE_WARNING_DELAY="10"
EPREFIX=""
EROOT="/"
FEATURES="assume-digests ccache collision-protect distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
FETCHCOMMAND="/usr/bin/wget -t 5 -T 60 --passive-ftp -O "${DISTDIR}/${FILE}" "${URI}""
FETCHCOMMAND_RSYNC="rsync -avP "${URI}" "${DISTDIR}/${FILE}""
GDK_USE_XFT="1"
GENTOO_MIRRORS="ftp://ftp.free.fr/mirrors/ftp.gentoo.org/"
HG="/usr/bin/hg"
HOME="/root"
HUSHLOGIN="FALSE"
INFOPATH="/usr/share/info:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.20.1/info:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.4/info"
INPUT_DEVICES="evdev"
JAVAC="/etc/java-config-2/current-system-vm/bin/javac"
JAVA_HOME="/etc/java-config-2/current-system-vm"
JDK_HOME="/etc/java-config-2/current-system-vm"
KERNEL="linux"
LANG="fr_FR.utf8"
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LDFLAGS_x86="-m elf_i386"
LESS="-R -M --shift 5"
LESSOPEN="|lesspipe.sh %s"
LIBDIR_amd64="lib64"
LIBDIR_amd64_fbsd="lib64"
LIBDIR_ppc="lib32"
LIBDIR_ppc64="lib64"
LIBDIR_sparc32="lib32"
LIBDIR_sparc64="lib64"
LIBDIR_x86="lib32"
LIBDIR_x86_fbsd="lib32"
LIBGL_DRIVERS_PATH="/usr/lib32/dri:/usr/lib64/dri"
LINGUAS="fr"
LOGNAME="root"
MAKEOPTS="-j7"
MANPATH="/etc/java-config-2/current-system-vm/man:/usr/local/share/man:/usr/share/man:/usr/share/binutils-data/x86_64-pc-linux-gnu/2.20.1/man:/usr/share/gcc-data/x86_64-pc-linux-gnu/4.4.4/man:/etc/java-config/system-vm/man/:/usr/lib64/php5/man/"
MULTILIB_ABIS="amd64 x86"
MULTILIB_STRICT_DENY="64-bit.*shared object"
MULTILIB_STRICT_DIRS="/lib32 /lib /usr/lib32 /usr/lib /usr/kde/*/lib32 /usr/kde/*/lib /usr/qt/*/lib32 /usr/qt/*/lib /usr/X11R6/lib32 /usr/X11R6/lib"
MULTILIB_STRICT_EXEMPT="(perl5|gcc|gcc-lib|binutils|eclipse-3|debug|portage)"
NETBEANS="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml"
OPENGL_PROFILE="xorg-x11"
PAGER="/usr/bin/less"
PATH="/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/i686-mingw32/gcc-bin/4.4.2:/usr/x86_64-pc-linux-gnu/i686-pc-linux-gnu/gcc-bin/4.4.4:/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.4"
PKGDIR="/usr/portage/packages"
PORTAGE_ARCHLIST="ppc x86-openbsd ppc-openbsd ppc64 x86-winnt x86-fbsd ppc-aix alpha arm x86-freebsd s390 amd64 arm-linux x86-macos x64-openbsd ia64-hpux hppa x86-netbsd amd64-linux ia64-linux x86 sparc-solaris x64-freebsd sparc64-solaris x86-linux x64-macos sparc m68k-mint ia64 mips ppc-macos x86-interix hppa-hpux amd64-fbsd x64-solaris mips-irix m68k sh x86-solaris sparc-fbsd"
PRELINK_PATH_MASK="/usr/lib64/klibc:/usr/lib64/libfreebl3.so:/usr/lib64/libnssdbm3.so:/usr/lib64/libsoftokn3.so"
PROFILE_ONLY_VARIABLES="ARCH ELIBC KERNEL USERLAND"
PWD="/root"
PYTHONDONTWRITEBYTECODE="1"
ROOT="/"
ROOTPATH="/opt/bin:/usr/x86_64-pc-linux-gnu/i686-mingw32/gcc-bin/4.4.2:/usr/x86_64-pc-linux-gnu/i686-pc-linux-gnu/gcc-bin/4.4.4:/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.4"

STAGE1_USE="multilib nptl nptlonly unicode"
SYMLINK_LIB="yes"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
TERM="xterm"
USB_DEVFS_PATH="/dev/bus/usb"
USE="3dnow X a52 acl acpi akonadi alsa amd64 aspell avahi bash-completion berkdb branding bzip2 cairo caps cdr cli consolekit cracklib crypt css cups cxx dbus djvu dri dts dvd emboss encode exif fbcon fbcondecor ffmpeg fftw firefox flac fortran gdbm geoip gif gmp gnuplot gnutls gpm gsl gstreamer hal iconv id3tag idn imagemagick imlib ipv6 jabber jingle jpeg kde lapack latex lcms ldap libnotify libsamplerate libv4l libv4l2 libwww lua mad mikmod mmx mng modules mp3 mp4 mpeg msn mudflap multilib musicbrainz mysql ncurses networkmanager nls nntp nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl plasma plotutils png policykit ppds pppd python qt3support qt4 readline recode reflection sasl scanner sdl semantic-desktop session sndfile sound sox spell spl sqlite sqlite3 sse sse2 ssl startup-notification subversion svg sysfs taglib tcpd theora threads tidy tiff truetype unicode usb v4l v4l2 vim-syntax vorbis x264 xattr xcb xcomposite xface xml xorg xscreensaver xulrunner xv xvid zeroconf zip zlib zsh-completion" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="apache2 alias userdir rewrite ssl info authz_host authz_default mime status mpm dav ldap php5 autoindex dir" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="fr" RUBY_TARGETS="ruby18" SANE_BACKENDS="plustek" USERLAND="GNU" VIDEO_CARDS="svga radeonhd radeon vesa fbdev" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
USER="root"
USERLAND="GNU"
USE_EXPAND="ALSA_CARDS ALSA_PCM_PLUGINS APACHE2_MODULES APACHE2_MPMS CAMERAS CROSSCOMPILE_OPTS DVB_CARDS ELIBC FCDSL_CARDS FOO2ZJS_DEVICES FRITZCAPI_CARDS INPUT_DEVICES KERNEL LCD_DEVICES LINGUAS LIRC_DEVICES MISDN_CARDS NETBEANS_MODULES NGINX_MODULES_HTTP NGINX_MODULES_MAIL QEMU_SOFTMMU_TARGETS QEMU_USER_TARGETS RUBY_TARGETS SANE_BACKENDS USERLAND VIDEO_CARDS XTABLES_ADDONS"
USE_EXPAND_HIDDEN="CROSSCOMPILE_OPTS ELIBC KERNEL USERLAND"
USE_ORDER="env:pkg:conf:defaults:pkginternal:env.d"
VIDEO_CARDS="svga radeonhd radeon vesa fbdev"
WINDOWID="16777229"
WINDOWPATH="7"
XAUTHORITY="/root/.Xauthority"
XDG_CONFIG_DIRS="/etc/xdg"
XDG_DATA_DIRS="/usr/local/share:/usr/share"
XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
XTERM_LOCALE="fr_FR.utf8"
XTERM_SHELL="/bin/bash"
XTERM_VERSION="XTerm(248)"
XZ_OPT="--memory=max"
_="/usr/bin/emerge"
Comment 9 Xavier CHARLES 2010-08-21 11:29:42 UTC
Hello
I don't know if it could help but I have same issue on an old laptop running in 32bit, but pykde4 compiles well on my new laptop(64bit).


Let me know if you have some specifics items I can compare on both machine

emerge --info for 32bit laptop

Portage 2.1.8.3 (default/linux/x86/10.0/desktop, gcc-4.3.2, glibc-2.11.2-r0, 2.6.31 i686)
=================================================================
System uname: Linux-2.6.31-i686-Intel-R-_Pentium-R-_M_processor_1.73GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 20 Aug 2010 19:05:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.4_p6, 1.7.9-r1, 1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.2-r3, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
sys-devel/make:      3.81
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="* -@EULA"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=pentium-m -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O3 -march=pentium-m -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests autoconfig ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.modulix.net/gentoo/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en fr"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/usr/portage"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/haskell /usr/local/portage /usr/portage/local"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi aim alsa apache2 asf bash-completion berkdb bidi bitmap-fonts bluetooth branding bzip2 cairo calendar caps cdda cdio cdparanoia cdr cli consolekit contrast cracklib crypt ctype cups curl cxx dba dbus dell deprecated dlloader dovecot dri dts dv dvd dvdr dvdread embedded emboss enblend encode evolution exchange exif exiscan exiscan-acl extensions extras fam festival ffmpeg firebird firefox flac flite foomaticdb fortran freetype fts3 garmin gd gdbm gif gimp gnome gnutls gpm gps gstreamer gtk hal hash httpd iconv icq icu idn imagemagick imap imlib ipv6 irda jabber java java6 jpeg kde kerberos lame laptop lcms ldap lensfun libgda libnotify libsysfs linux-info.eclass lirc live mad maildir matroska mbox mbrola melt midi mikmod mjpeg mmx mmx2 mng modules mono mozilla mp3 mp4 mpeg msn mudflap mysql ncurses networkmanager nls nptlonly nsplugin ofx ogg oggvorbis opengl openmp openssl openstreetmap optimisememory otr oxf pam pango pcre pdf pdo perl php png policykit pop postgres ppds pppd python qt3support qt4 radeon readline redeyes reflection regex rss samba sasl scanner schroedinger scripting sdk sdl semantic-desktop serial session sessioni sidebar sift sip smime snmp speech spell spl sql sqlite sse sse2 sse2i ssl startup-notification stats stream subversion svg svga synaptics sysfs syslog tcltk tcpd templates theora thumbnail tiff truetype truetype-fonts type1-fonts udev unicode upnp usb utempter utils v4l vcd vhosts vlm vorbis wav webkit wifi win32codecs wxwindows x264 x86 xcb xine xinerama xml xorg xosd xulrunner xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en fr" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



emerge --info for 64 bit laptop

Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.11.2-r0, 2.6.33.5 x86_64)
=================================================================
System uname: Linux-2.6.33.5-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P8700_@_2.53GHz-with-gentoo-1.12.13
Timestamp of tree: Wed, 18 Aug 2010 12:15:02 +0000
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=athlon64 -O3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests autoconfig ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/opt/"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acl acpi aim alsa amd64 apache2 asf bash-completion berkdb bidi bitmap-fonts bluetooth boost branding bzip2 cairo calendar caps cdda cddb cdio cdparanoia cdr cli clucene consolekit contrast cracklib crypt ctype cups curl cxx dba dbus dell deprecated directfb dlloader dovecot dri dts dv dvd dvdr dvdread embedded emboss enblend encode esd evolution exchange exif exiscan exiscan-acl extensions extras faac fam festival ffmpeg firefox flac flite foomaticdb fortran freetype fts3 garmin gd gdbm gif gimp gnome gnutls gphoto2 gpm gps gstreamer gtk gui hal hash hddtemp helpers httpd iconv icq icu id3tag idn ieee1394 imagemagick imap imlib ipv6 irda jabber java java6 jpeg kde kerberos lame laptop lcms ldap lensfun libgda libnotify libsysfs libv4l2 linux-info.eclass lirc live lm_sensors mad maildir matroska mbox mbrola mdnsresponder-compat melt midi mikmod mjpeg mmx mmx2 mng modules mono mozilla mp3 mp4 mpeg msn mudflap multilib mysql ncurses networkmanager nls nntp nptlonly nsplugin ofx ogg oggvorbis opencore-amr opengl openmp openssl openstreetmap opensync optimisememory otr oxf pam pango pcre pdf pdo perl php plasma png policykit pop ppds pppd profile python qt3support qt4 radeon raw readline redeyes redland reflection regex rss samba sasl scanner schroedinger scripting sdk sdl secure-delete semantic-desktop serial session sidebar sift simplexml sip smime snmp soap speech spell spl sql sqlite sse sse2 ssl startup-notification stats stream subversion svg synaptics sysfs syslog tcltk tcpd templates theora thumbnail tiff truetype truetype-fonts type1-fonts udev unicode upnp usb utempter utils v4l v4l2 vcd vhosts vim-syntax vlm vorbis wav webkit wifi wxwindows x264 xcb xine xinerama xml xorg xosd xulrunner xv xvid yahoo zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


Comment 10 Erik Zeek 2010-09-01 15:55:23 UTC
I seem to be getting this error with kde-base/pykde4-4.4.5.

emerge -pqv =kde-base/pykde4-4.4.5 sip
[ebuild   R   ] kde-base/pykde4-4.4.5  USE="doc examples semantic-desktop (-aqua) -debug (-kdeenablefinal) (-kdeprefix)" 
[ebuild   R   ] dev-python/sip-4.11  USE="doc -debug" 

The error references this area (line 737 is the "{"):

%MappedType QList<uint>
{
%TypeHeaderCode
#include <qlist.h>
%End
Comment 11 Rodolfo Boer 2010-09-01 17:43:38 UTC
Created attachment 245650 [details, diff]
patch from upstream

The patch comes from revision 1170602 of pykde4 svn.

I recompiled pykde4 and plasma-workspace. Starting kde works. No further tests.
Comment 12 Jure Repinc 2010-09-02 15:49:36 UTC
Also problem in pykde4-4.5.1
Comment 13 Marian Kyral 2010-09-02 16:59:38 UTC
(In reply to comment #12)
> Also problem in pykde4-4.5.1
> 

Can confirm as well and I also can confirm that patch fix it,
 
Comment 14 Tobias S 2010-09-02 17:21:35 UTC
could someone please help me how to use this patch?
Comment 15 Tobias S 2010-09-02 20:19:33 UTC
got it xD
works for me =)
Thank you!
Comment 16 Dennis Schridde 2010-09-03 09:56:34 UTC
Please reopen, it appears again in 4.5.1, see bug #335710.
I suggest adding "Mapped type has already been defined in another module" to the summary.
Comment 17 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-09-03 10:04:34 UTC
Reopening.
Comment 18 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-09-03 10:06:08 UTC
*** Bug 335710 has been marked as a duplicate of this bug. ***
Comment 19 Tobias S 2010-09-03 10:09:45 UTC
why did you reopened it? patch fixed all problems i thought? 
mh okay let's say patch fixed my problem =)
Comment 20 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-09-03 10:24:08 UTC
Your patch fixed your problem locally, but until we add it to the overlay / tree, it won't help others ;-)
Patch added to the overlay.
Thanks for the report and patch.
Comment 21 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-09-03 17:00:00 UTC
@Jorge
and you didn't close the bug because... :P
Comment 22 Martijn Schmidt 2010-09-04 01:03:52 UTC
*** Bug 335849 has been marked as a duplicate of this bug. ***
Comment 23 Kai Krakow 2010-09-05 16:32:35 UTC
When is this going into portage? pykde-4.4.5 doesn't seem to be patched yet... I'd suggest to keep this open until the patch is applied to portage.
Comment 24 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-09-05 23:19:48 UTC
ah sorry forgot of pykde4 4.4.5, i'll take car of it shortly
Comment 25 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-09-05 23:23:10 UTC
*** Bug 336087 has been marked as a duplicate of this bug. ***
Comment 26 Lamarque V. Souza 2010-09-06 17:59:35 UTC
I was able to compile pykde-4.5.1 when I removed the proposed patch (pykde4-mapped-type-fix.patch). pykde-4.5.1 does not compile here with this patch applied.
Comment 27 Simon Siemonsma 2010-09-07 07:56:13 UTC
For me pykde4-4.5.1-r1 doesn't compile, while 4.5.1 does.
Also if 4.5.1-r1 is the patched version. I have the same problem.
platform amd64. I can post more info when needed.


(In reply to comment #26)
> I was able to compile pykde-4.5.1 when I removed the proposed patch
> (pykde4-mapped-type-fix.patch). pykde-4.5.1 does not compile here with this
> patch applied.

Comment 28 Maciej Mrozowski gentoo-dev 2010-09-07 12:58:54 UTC
Removed patch for now (from tree, overlay still have -r1), stable tree has a priority. Besides I prefer a fix that works for everyone.
Comment 29 James Smith 2010-09-07 16:54:35 UTC
(In reply to comment #0)
> kde-base/pykde4-4.5.0 failed to emerge.
> Emerge --info and emerge log at
> http://pastebin.com/19FRB3v1 http://pastebin.com/5hUEErEQ
> 
> 
> Reproducible: Always
> 
> Steps to Reproduce:
> 

I have the same issue. 4.5.1 won't compile (it looks like a sip barf)
Comment 30 barton 2010-09-07 17:05:10 UTC
kde-4.5.1 has been masked so I downgraded to kde-.4.4 and the patch worked for me.  It worked for me with pykde4-4.5.1 as well.
Comment 31 Chad A. Simmons 2010-09-07 19:15:05 UTC
Pykde4-4.4.5 is completely broken(doesn't build) on ~amd64 without the above patch. Verified after adding the patch to the ebuild pykde4 compiles correctly and ebuilds that depend on pykde4 compile successfully again.
Comment 32 Davide Pesavento gentoo-dev 2010-09-07 19:15:46 UTC
This is probably caused by >=dev-python/sip-4.11 and/or >=dev-python/PyQt4-4.7.5
Comment 33 Lamarque V. Souza 2010-09-07 20:41:43 UTC
With the following combination I need to remove the patch to compile pykde4:

pykde4-4.5.1-r1
sip-4.10.2
PyQt4-4.7.3

Only pykde4-4.5.1-r1 is ~amd64, the other two are stable versions.
Comment 34 Robin Bankhead 2010-09-07 22:23:36 UTC
(In reply to comment #32)
> This is probably caused by >=dev-python/sip-4.11 and/or
> >=dev-python/PyQt4-4.7.5
> 

I have two similar ~x86 desktop systems; on one, pykde4-4.4.5 built successfully against sip-4.10.2 and PyQt4-4.7.3 (that was a couple of months ago).

On the other, the same ebuild fails when building against sip-4.11 and PyQt4-4.7.5 unless the patch is applied.
Comment 35 Richard 2010-09-08 00:47:23 UTC
I have an amd64 system and kde-base/pykde4-4.5.1 will not compile on it. It fails with the following:

sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/khtml/sipkhtmlpart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_khtml.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kdecore/sipkdecorepart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdecore.dir/all] Error 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kio/sipkiopart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kio.dir/all] Error 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/dnssd/sipdnssdpart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_dnssd.dir/all] Error 2
sip: /var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1/python/pykde4/sip/kdecore/typedefs.sip:737: Mapped type has already been defined in another module
make[2]: *** [python/pykde4/sip/kdeui/sipkdeuipart0.cpp] Error 1
make[1]: *** [python/pykde4/CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Error 2
make: *** [all] Error 2
emake failed
 * ERROR: kde-base/pykde4-4.5.1 failed:
 *   Make failed!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 6361:  Called kde4-meta_src_compile
 *   environment, line 3893:  Called kde4-base_src_compile
 *   environment, line 3556:  Called cmake-utils_src_compile
 *   environment, line 1735:  Called _execute_optionaly 'src_compile'
 *   environment, line  646:  Called enable_cmake-utils_src_compile
 *   environment, line 2104:  Called cmake-utils_src_make
 *   environment, line 1754:  Called die
 * The specific snippet of code:
 *           emake "$@" || die "Make failed!";
 * 
 * If you need support, post the output of 'emerge --info =kde-base/pykde4-4.5.1',
 * the complete build log and the output of 'emerge -pqv =kde-base/pykde4-4.5.1'.
 * The complete build log is located at '/var/tmp/portage/kde-base/pykde4-4.5.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-4.5.1/temp/environment'.
 * S: '/var/tmp/portage/kde-base/pykde4-4.5.1/work/pykde4-4.5.1'

At the same time, I have kde-base/pykde4-4.5.1-r1 installed and it seems to have compiled without issue.
Comment 36 Mark Nowiasz 2010-09-08 16:58:45 UTC
(In reply to comment #31)
> Pykde4-4.4.5 is completely broken(doesn't build) on ~amd64 without the above
> patch. 

Same here.

What's worse: app-text/calibre won't start anymore, because:
RuntimeError: the sip module implements API v8.0 but the PyKDE4.kdeui module requires API v7.1


And I can't reinstall/recompile kde-base/pykde4-4.4.5 due to the currently broken ebuild :-(
Comment 37 Richard 2010-09-08 17:16:26 UTC
(In reply to comment #36)
> (In reply to comment #31)
> > Pykde4-4.4.5 is completely broken(doesn't build) on ~amd64 without the above
> > patch. 
> 
> Same here.
> 
> What's worse: app-text/calibre won't start anymore, because:
> RuntimeError: the sip module implements API v8.0 but the PyKDE4.kdeui module
> requires API v7.1
> 
> 
> And I can't reinstall/recompile kde-base/pykde4-4.4.5 due to the currently
> broken ebuild :-(
> 

Here is a script you can run:

LOCAL_OVERLAY=/usr/local/portage

mkdir -p $LOCAL_OVERLAY/kde-base/pykde4
cp -r /usr/portage/kde-base/pykde4/* $LOCAL_OVERLAY/kde-base/pykde4
rm $LOCAL_OVERLAY/kde-base/pykde4/pykde4*
wget -O $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1 http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/kde-base/pykde4/pykde4-4.5.1-r1.ebuild?revision=1.3
ebuild $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1 digest

Change LOCAL_OVERLAY to be the parent directory for whatever local overlay you have on your system. If you do not have a local overlay on your system, run "emerge layman" and follow the instructions at the following site:

http://en.gentoo-wiki.com/wiki/Overlay#Local_Overlays
Comment 38 Richard 2010-09-08 17:19:00 UTC
I forgot to mention that after you have done that, your system will have the working ebuild that was deleted from the official tree in an overlay. Portage should not try to downgrade you to a version that breaks when you do updates.
Comment 39 Mark Nowiasz 2010-09-08 19:51:11 UTC
(In reply to comment #38)
> I forgot to mention that after you have done that, your system will have the
> working ebuild that was deleted from the official tree in an overlay. Portage
> should not try to downgrade you to a version that breaks when you do updates.

Well, thanks for the advice, but this would mean having to unmask/install kde-base/kdelibs-4.5.1 which I'm quite reluctant to do - I'm not sure that would be good idea mixing KDE 4.4 with kdelib-4.5.1.

I just want a working pykde-4.4.5 (which according to the discussion here used to exist with a given patch) :-( Do you have any advice about how to get a working pykde-4.4.5?


Comment 40 Ryan Harris 2010-09-08 20:15:23 UTC
> I just want a working pykde-4.4.5 (which according to the discussion here used
> to exist with a given patch) :-( Do you have any advice about how to get a
> working pykde-4.4.5?

The patch works fine for me on pykde-4.4.5. All you have to do is put that ebuild in your local overlay, rename it to pykde-4.4.5-r1 , add the associated patches, edit the the ebuild file and add an epatch line for that patch
Comment 41 Richard 2010-09-08 21:51:49 UTC
(In reply to comment #39)
> (In reply to comment #38)
> > I forgot to mention that after you have done that, your system will have the
> > working ebuild that was deleted from the official tree in an overlay. Portage
> > should not try to downgrade you to a version that breaks when you do updates.
> 
> Well, thanks for the advice, but this would mean having to unmask/install
> kde-base/kdelibs-4.5.1 which I'm quite reluctant to do - I'm not sure that
> would be good idea mixing KDE 4.4 with kdelib-4.5.1.
> 
> I just want a working pykde-4.4.5 (which according to the discussion here used
> to exist with a given patch) :-( Do you have any advice about how to get a
> working pykde-4.4.5?
> 

I am sorry. I thought you were running KDE 4.5.1. In that case, Ryan Harris' advice is more appropriate.
Comment 42 saft 2010-09-09 08:38:45 UTC
(In reply to comment #39)

Hi I had the same problem and solved it by masking the unstable sip and PyQt4 ebuilds. 

To make it clear,

kde-base/pykde4-4.4.5 USE="semantic-desktop"

works for me with

dev-python/sip-4.10.2 USE= not set

and

dev-python/PyQt4-4.7.3 USE="X dbus kde opengl phonon sql svg webkit"

System is working fine now :)


> (In reply to comment #38)
> > I forgot to mention that after you have done that, your system will have the
> > working ebuild that was deleted from the official tree in an overlay. Portage
> > should not try to downgrade you to a version that breaks when you do updates.
> 
> Well, thanks for the advice, but this would mean having to unmask/install
> kde-base/kdelibs-4.5.1 which I'm quite reluctant to do - I'm not sure that
> would be good idea mixing KDE 4.4 with kdelib-4.5.1.
> 
> I just want a working pykde-4.4.5 (which according to the discussion here used
> to exist with a given patch) :-( Do you have any advice about how to get a
> working pykde-4.4.5?
> 

Comment 43 jms 2010-09-09 09:39:46 UTC
(In reply to comment #37)

wget -O $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1.ebuild
http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/kde-base/pykde4/pykde4-4.5.1-r1.ebuild?revision=1.3
 ebuild $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1.ebuild digest

works for me thanks richard

amd64 getting kde-4.5.1 with
dev-python/sip-4.11.1  USE="-debug -doc"
kde-base/pykde4-4.5.1-r1  USE="semantic-desktop (-aqua) -debug -doc -examples (-kdeenablefinal) (-kdeprefix)"
dev-python/PyQt4-4.7.6  USE="X dbus kde opengl phonon sql svg webkit -assistant -debug -doc -examples -multimedia -xmlpatterns" 

wasn't compiling with pykde4/pykde4-4.5.1  but compile with pykde4/pykde4-4.5.1-r1
Comment 44 jms 2010-09-09 09:52:36 UTC
 Comment #32 #33 #34
Think patch should be for having

>=dev-python/sip-4.11 AND
>=dev-python/PyQt4-4.7.5
Comment 45 Trevor Bowen 2010-09-09 13:21:11 UTC
Can this be added back into portage, somehow?

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/kde-base/pykde4/pykde4-4.5.1-r1.ebuild?revision=1.3

It worked fine for me a couple of days ago, but now, whenever I update world:

emerge -uDN @system @world

Portage wants to downgrade to 4.5.1, and it crashes with the errors given above by others.  FWIW, I have:

kde-base/pykde4-4.5.1-r1 USE="semantic-desktop -debug -doc -examples"
dev-python/PyQt4-4.7.5 USE="X dbus kde opengl sql svg webkit -assistant -debug -doc -examples -multimedia -phonon -xmlpatterns"
dev-python/sip-4.11 USE="-debug -doc"
Comment 46 Chad A. Simmons 2010-09-09 14:31:52 UTC
4.5.1 was unmasked today without the patch, Why can't the patch be added to tree(4.5.1 is also completely borked on ~amd64 without the patch)
Comment 47 Nikolaos Chatzidakis 2010-09-09 20:09:56 UTC
(In reply to comment #43)
> (In reply to comment #37)
> 
> wget -O $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1.ebuild
> http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/kde-base/pykde4/pykde4-4.5.1-r1.ebuild?revision=1.3
>  ebuild $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1.ebuild digest

Worked like a charm! Thnx :)
Comment 48 Richard 2010-09-09 23:42:00 UTC
(In reply to comment #43)
> (In reply to comment #37)
> 
> wget -O $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1.ebuild
> http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/kde-base/pykde4/pykde4-4.5.1-r1.ebuild?revision=1.3
>  ebuild $LOCAL_OVERLAY/kde-base/pykde4/pykde4-4.5.1-r1.ebuild digest
> 
> works for me thanks richard
> 
> amd64 getting kde-4.5.1 with
> dev-python/sip-4.11.1  USE="-debug -doc"
> kde-base/pykde4-4.5.1-r1  USE="semantic-desktop (-aqua) -debug -doc -examples
> (-kdeenablefinal) (-kdeprefix)"
> dev-python/PyQt4-4.7.6  USE="X dbus kde opengl phonon sql svg webkit -assistant
> -debug -doc -examples -multimedia -xmlpatterns" 
> 
> wasn't compiling with pykde4/pykde4-4.5.1  but compile with
> pykde4/pykde4-4.5.1-r1
> 

Thanks for correcting my typo. I was typing that mostly from memory.

Anyway, I have just encountered this issue on a x86 system that I was upgrading to KDE 4.5.1:

$ emerge --info
Portage 2.1.9.2 (default/linux/x86/10.0/desktop/kde, gcc-4.4.4, glibc-2.12.1-r1, 2.6.35.4 i686)
=================================================================
System uname: Linux-2.6.35.4-i686-Genuine_Intel-R-_CPU_T2400_@_1.83GHz-with-gentoo-2.0.1
Timestamp of tree: Thu, 09 Sep 2010 21:00:22 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.3
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.67
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.35 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="x86 ~x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=2048 -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/portage /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=prescott --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=2048 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests buildpkg ccache distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -march=prescott --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=2048 -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://gentoo.netnitco.net http://distro.ibiblio.org/pub/linux/distributions/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/vmware /var/lib/layman/java-overlay /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi alsa apm berkdb bluetooth branding bzip2 cairo cdr cleartype cli consolekit corefonts cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam fftw firefox flac fontconfig fortran gd gdbm gif gnutls gpm hal iconv java java6 jpeg kde lcms ldap libnotify lzma mad midi mikmod mmap mmx mng modules mp3 mp4 mpeg mudflap ncurses networkmanager nls nptl nptlonly nsplugin ogg opengl openmp pam pango pcre pdf perl png ppds pppd python qt3support qt4 readline reflection samba sdl session spell sqlite sse sse2 sse3 ssl startup-notification svg sysfs tcpd threads tiff truetype type1 unicode usb vorbis x264 x86 xcb xml xorg xulrunner xv xvid xvmc zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" NETBEANS_MODULES="apisupport harness ide java nb websvccommon" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 49 DrSlony 2010-09-10 00:40:46 UTC
Patch works great.

For those who don't know how to apply it:
mkdir -p /etc/portage/patches/kde-base/pykde4/ && wget -O /etc/portage/patches/kde-base/pykde4/PyQt4-4.7.6-typedefs.patch https://bugs.gentoo.org/attachment.cgi?id=245650

Now emerge as usual.
Comment 50 Chuck Wegrzyn 2010-09-10 01:20:59 UTC
This same error happens in 4.5.1 with the newest release of KDE!
Comment 51 Chuck Wegrzyn 2010-09-10 01:34:50 UTC
I should have mentioned the patch does seem to work for 4.5.1 as well.
Comment 52 Ryan Harris 2010-09-10 02:00:42 UTC
(In reply to comment #51)
> I should have mentioned the patch does seem to work for 4.5.1 as well.

I just upgraded to 4.5.1 and had the same experience. It fails to build without the patch. The patched version pykde4-4.5.1-r1 from the overlay compiles fine.

Comment 53 coran.fisher@gmail.com 2010-09-10 02:16:32 UTC
I ran into this issue and was also successful with pykde4 from kde overlay on ~amd64  I suggest putting it in the main portage ~ tree soon as what is in portage now is not compilable when attempting kde upgrade.
Comment 54 Richard 2010-09-10 02:37:14 UTC
(In reply to comment #53)
> I ran into this issue and was also successful with pykde4 from kde overlay on
> ~amd64  I suggest putting it in the main portage ~ tree soon as what is in
> portage now is not compilable when attempting kde upgrade.
> 

As far as I know, it was originally in the main portage tree, but the maintainer deleted it shortly after it had been put into it. The change log says:

*pykde4-4.5.1 (07 Sep 2010)

  07 Sep 2010; Maciej Mrozowski <reavertm@gentoo.org> +pykde4-4.5.1.ebuild,
  -pykde4-4.5.1-r1.ebuild:
  Remove patch to make pykde4 build agains stable tree, bug 332503
Comment 55 Sven Müller 2010-09-10 04:21:28 UTC
Same problem here (~amd64)
Comment 56 marcin-zbik 2010-09-10 05:54:50 UTC
Patch seems to works for me on both my ~amd64 systems. I tried to build PyKDE from portage against unstable PyQT and sip, but got "wrong mapping" error. With path it compiled well.
Comment 57 Olivier Pelerin 2010-09-10 08:43:27 UTC
after patching, I was able to compile that package. 
Comment 58 Markos Chandras (RETIRED) gentoo-dev 2010-09-10 10:07:17 UTC
*** Bug 336705 has been marked as a duplicate of this bug. ***
Comment 59 David Kredba 2010-09-10 10:40:46 UTC
The patch works for me too on ~amd64 with gcc-4.5.1.
Comment 60 Jouni Rinne 2010-09-10 12:40:29 UTC
Patch works here, too

"Remove patch to make pykde4 build agains stable tree"... Why? Why should pykde4-4.5.1 compile 'against stable tree'??? Doesn't make sense...
Comment 61 Nikos Chantziaras 2010-09-10 15:18:54 UTC
Problem is back. I think it was not a good idea to intentionally break this again? :P
Comment 62 David 2010-09-10 16:23:21 UTC
The patch seems to be working fine, i can now compile with no problems.
Comment 63 gregorcy 2010-09-10 17:44:57 UTC
Patch works here followed DrSlony instructions
Comment 64 J.C. Wren 2010-09-10 17:45:12 UTC
Patch worked for me on ~x86.  And thanks to DrSlony (#49) for the patch
instructions.  That was worth as much as the patch :)
Comment 65 gregorcy 2010-09-10 17:46:23 UTC
Patch works here followed DrSlony instructions
Comment 66 Peter Humphrey 2010-09-10 19:55:19 UTC
(In reply to comment #49)
> Patch works great.
> 
> For those who don't know how to apply it:
> mkdir -p /etc/portage/patches/kde-base/pykde4/ && wget -O
> /etc/portage/patches/kde-base/pykde4/PyQt4-4.7.6-typedefs.patch
> https://bugs.gentoo.org/attachment.cgi?id=245650
> 
> Now emerge as usual.

Many thanks from me as well. Pykde-4.5.1 has compiled on this ~amd64 box and the rest of KDE is compiliing now.

Comment 67 Stefan Hübner 2010-09-10 20:05:13 UTC
masking "=dev-python/sip-4.11*" and re-emerging a few things (emerge -1ND sip && emerge -auND world) worked well for me (USE=-semantic-desktop - if that might matter).

P.S.: removing the patch so it compiles in the stable tree surely IS making VERY much sense!  Most of my boxes are running the stable tree and I'd be very annoyed to have such problems on my in-production computers.  At home on ~amd64 it is OK.  So thank you gentoo team!
Comment 68 Richard 2010-09-10 20:43:56 UTC
(In reply to comment #67)
> masking "=dev-python/sip-4.11*" and re-emerging a few things (emerge -1ND sip
> && emerge -auND world) worked well for me (USE=-semantic-desktop - if that
> might matter).
> 
> P.S.: removing the patch so it compiles in the stable tree surely IS making
> VERY much sense!  Most of my boxes are running the stable tree and I'd be very
> annoyed to have such problems on my in-production computers.  At home on ~amd64
> it is OK.  So thank you gentoo team!
> 

This suggests that the problem is really in sip. Does anyone have time to look at it to see how it is breaking things.
Comment 69 Robert Cabrera 2010-09-10 22:03:29 UTC
I've had this issue (compilation failure) with both  pykde4-4.4.5 and now pykde4-4.5.1 on my ~x86 laptop. The only way to resolve was to add the above mentioned patch to the ebuild(s) and add to my personal overlay.

There needs to be a more elegant way than to force users to manually intervene, especially in the middle of a large complex upgrade like KDE. For me the build failure came at a point where I was unable to use Dolphin, Konqueror, Kwrite, etc... as a Super User and Mozilla refused to launch at all (I was unable to use any Internet app at that point).

This forced me to have to boot off a rescue disc, search here and the forums for the solution, then chroot back into my installation to fix the ebuild and complete compilation. A less knowledgeable user would have been totally hosed.
Comment 70 Richard 2010-09-10 22:15:23 UTC
(In reply to comment #69)
> I've had this issue (compilation failure) with both  pykde4-4.4.5 and now
> pykde4-4.5.1 on my ~x86 laptop. The only way to resolve was to add the above
> mentioned patch to the ebuild(s) and add to my personal overlay.
> 
> There needs to be a more elegant way than to force users to manually intervene,
> especially in the middle of a large complex upgrade like KDE. For me the build
> failure came at a point where I was unable to use Dolphin, Konqueror, Kwrite,
> etc... as a Super User and Mozilla refused to launch at all (I was unable to
> use any Internet app at that point).
> 
> This forced me to have to boot off a rescue disc, search here and the forums
> for the solution, then chroot back into my installation to fix the ebuild and
> complete compilation. A less knowledgeable user would have been totally hosed.
> 

While you are correct, I would like to add that someone with two computers, a dual-boot configuration or a second desktop environment installed would not have had to do that. It might be wise to install something like LXDE as a backup desktop environment in case an upgrade with KDE goes wrong.
Comment 71 Chuck Wegrzyn 2010-09-10 22:32:16 UTC
I had a different experience. Yes, while it was true you got everything wiped out of the menu I had found, from previous experience, that if you use the quicklaunch feature the applications stay there!

Second, I always have a second, independent browser laying around, like Firefox or Opera. In this way when Konq. bites the dust I am fine.

Lastly, you can always run something like Yakuake all the time, leaving it hidden. In this way when things go wrong you can invoke many of the KDE programs from the command line and have them run (subject to a lot of conditions).

I also found, while building a new version of KDE that it will always hiccup and stop at some point before it is all done. Some times I can recover by using revdep-rebuild and starting again. Of many times, like in the case where kdesdk-misc and Pykde screwed up that "emerge --skipfirst --resume" will mostly continue on giving me enough of my system back.

Just thoughts from my experiences...
Comment 72 Lars Tiefland 2010-09-10 23:39:37 UTC
Created attachment 246783 [details]
Integrated patch from upstream

Why is the patch from upstream in the portage tree, but NOT used in the official ebuild? Here is an altered ebuild with the patch applied. It works fine for me now.
Comment 73 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-09-11 00:56:23 UTC
I want to kindly ask users to stop spamming us with comments about this bug.
There are enough comments to know that pykde4-4.5.1-r1 (without the patch) won't build for ~arch users.
Please give 1 or 2 days for developers to think, make a decision and apply a fix.
Comment 74 Robert Cabrera 2010-09-11 02:22:47 UTC
(In reply to comment #70)
> 
> While you are correct, I would like to add that someone with two computers, a
> dual-boot configuration or a second desktop environment installed would not
> have had to do that. It might be wise to install something like LXDE as a
> backup desktop environment in case an upgrade with KDE goes wrong.
> 
10 or 15 years ago this might have been the case with me. However, when I took my marriage vows the first thing that went was my den full of computers. I'm a 47 year old truck driver, this (computing/gaming) is my hobby. I try to contribute here and in the forums as best I can.

My rig is a 6 year old laptop with limited drive space, half of which is consumed by Windows which I need for work. My wife and kids share the family desktop, which I'm not allowed to touch. And with the economy the way it is, it will probably be some time before I can do any hardware upgrades. My family's needs always take precedent to this hobby.

One can't assume that all users have unlimited resources at their disposal. Gentoo is used by people around the world in all stations in life. Many of whom are just lucky to have a computer of any type.

Think about this before posting with an arrogant curt response.

Ciao
Comment 75 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-09-11 02:27:02 UTC
I've added back the kde-base/pykde4-4.5.1-r1 ebuild using the patch and added an explicit deps for >dev-python/PyQt4-4.7.3 and >dev-python/sip-4.10.
Comment 76 Mark Kowarsky (RETIRED) gentoo-dev 2010-09-11 04:18:03 UTC
*** Bug 336778 has been marked as a duplicate of this bug. ***
Comment 77 Mark Kowarsky (RETIRED) gentoo-dev 2010-09-11 04:18:38 UTC
*** Bug 336776 has been marked as a duplicate of this bug. ***
Comment 78 Patrick McMunn 2010-09-21 16:05:02 UTC
(In reply to comment #75)
> I've added back the kde-base/pykde4-4.5.1-r1 ebuild using the patch and added
> an explicit deps for >dev-python/PyQt4-4.7.3 and >dev-python/sip-4.10.
> 

Perhaps either PyQt4-4.7.3 is not the minimum version required, or it might just have to be rebuilt for some reason. I say this because pykde4-4.5.1-r1 failed to build when I had dev-python/PyQt4-4.7.4 installed, but when I upgraded to dev-python/PyQt4-4.7.6 it built successfully.
Comment 79 Andriy Baranskyy 2010-10-15 00:51:28 UTC
I am getting error when trying to compile pykde4-4.5.2:


 * Package:    kde-base/pykde4-4.5.2
 * Repository: gentoo
 * Maintainer: kde@gentoo.org
 * USE:  elibc_glibc kernel_linux semantic-desktop userland_GNU x86
>>> Unpacking source...
 * Unpacking parts of kdebindings-4.5.2.tar.bz2 to /var/tmp/portage/kde-base/pykde4-4.5.2/work ...
 [ ok ]
>>> Source unpacked in /var/tmp/portage/kde-base/pykde4-4.5.2/work
>>> Preparing source in /var/tmp/portage/kde-base/pykde4-4.5.2/work/pykde4-4.5.2 ...
 * Applying pykde4-mapped-type-fix.patch ...
 [ ok ]
 * Applying user patches from /etc/portage/patches//kde-base/pykde4 ...
 *   PyQt4-4.7.6-typedefs.patch ...

 * Failed Patch: PyQt4-4.7.6-typedefs.patch !
 *  ( /etc/portage/patches//kde-base/pykde4/PyQt4-4.7.6-typedefs.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/kde-base/pykde4-4.5.2/temp/PyQt4-4.7.6-typedefs.patch.out

 * ERROR: kde-base/pykde4-4.5.2 failed:
 *   Failed Patch: PyQt4-4.7.6-typedefs.patch!
 *
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 6478:  Called kde4-meta_src_prepare
 *   environment, line 4044:  Called kde4-base_src_prepare
 *   environment, line 3662:  Called base_src_prepare
 *   environment, line 1481:  Called epatch_user
 *   environment, line 2730:  Called epatch
 *   environment, line 2712:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 *
 * If you need support, post the output of 'emerge --info =kde-base/pykde4-4.5.2',
 * the complete build log and the output of 'emerge -pqv =kde-base/pykde4-4.5.2'.
 * The complete build log is located at '/var/tmp/portage/kde-base/pykde4-4.5.2/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-4.5.2/temp/environment'.
 * S: '/var/tmp/portage/kde-base/pykde4-4.5.2/work/pykde4-4.5.2'



Is this problem related to this bug? Here is my emerge --info:

Portage 2.2_rc96 (default/linux/x86/10.0, gcc-4.4.4, glibc-2.12.1-r1, 2.6.35-tuxonice-r5 i686)
=================================================================
System uname: Linux-2.6.35-tuxonice-r5-i686-Intel-R-_Core-TM-2_CPU_T5500_@_1.66GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 15 Oct 2010 00:00:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p9
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.6-r1, 3.1.2-r4
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.3
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.68
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.35 (sys-kernel/linux-headers)
Repositories: gentoo local ikelos
ACCEPT_KEYWORDS="x86"
ACCEPT_LICENSE="*"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="uk_UA.UTF-8"
LC_ALL="uk_UA.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"                                                                                                                                                   
LINGUAS="en pl uk be de en_GB"                                                                                                                                                      
MAKEOPTS="-j3"                                                                                                                                                                      
PKGDIR="/usr/portage/packages"                                                                                                                                                      
PORTAGE_CONFIGROOT="/"                                                                                                                                                              
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"                                                                                                                                                                          
PORTAGE_TMPDIR="/var/tmp"                                                                                                                                                           
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage/layman/ikelos"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dfx 3dnow 3dnowext 7zip X Xaw3d a52 aac aalib accessibility acl acpi adns alsa amarok amr amrnb amrr amrwb ao arts aspnet auto-completion autoipd automount avahi bash-completion bidi bittorrent-external bluetooth bonjour bookmarks branding bzip2 c++ cairo calendar caps cdaudio cdda cddb cdparanoia chm cisco cli consolekit context cracklib crypt css cups curl cxx cyrillic daap dbus desktopglobe detex dga dia directfb divx djvu docbook dot dri drm dts dv dvd dvdnav dvdr dvdread dvi2tty ebook embedded emovix enca encode exceptions exif expat extra extras fam fax fbcon ffmpeg firefox flac font-server fontconfig fortran ftp fts3 games gd gdbm geoip geolocation ggi gif glib glitz gmail gmedia gnutls google google-gadgets gpg2-experimental gphoto2 gpm gps graphics gsm gstreamer gtk h224 h281 h323 html htmlhandbook http humanities hyperestraier iconv icq icu ide idn imagemagick inotify ipod ipv6 ipw3945 jadetex java javascript jce jpeg jpeg2k justify kde kerberos kpathsea ladspa lame laptop lastfm latex latex3 lcms lensfun libcaca libsamplerate libwww live lm_sensors lzo mad marble matroska matrox mbrola md5sum mdnsresponder-compat mjpeg mmap mmx mmxext mng modplug modules moonlight motif mp2 mp3 mp4 mp4live mpeg mpeg2 mpi mplayer msn mtp mudflap musepack music musicbrainz mysql nas ncurses neXt net netbeans netboot network network-cron networking nfs nis nls npp nptl nptlonly nsplugin nss ntfs ntp nvidia nvram nvtv obex ogg omega openal openct openexr opengl openmp openssh openvpn oss overlays pam pch pcmcia pcre pcsc-lite pda pdf perl phonon plasma player plotutils plugins pmu png policykit pppd pstricks publishers python python3 qalculate qos qt qt3support qt4 quicktime radio rar raw rdesktop rdp readline realmedia reflection reiser4 reiserfs rss rtc rtf samba sasl scanner science sdl semantic-desktop session sip skype slang slp smartcard smbclient sms sndfile snmp socks5 sourceview speech speex spell sql sqlite sqlite3 srt sse sse2 ssl ssse3 startup-notification subversion svg sysfs tcl tcpd templates tetex tex4ht tga theora threads tiff timidity tk tools truetype unicode usb v4l v4l2 vcd video vidix visualization vorbis wav wavpack webinterface webkit wifi win32codecs wma wmf wmp wps wxwindows x264 x86 xanim xcb xcomposite xetex xindy xine xinerama xml xorg xpm xprint xulrunner xv xvid xvmc yv12 zeroconf zip zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks                   iec958 ioplug ladspa lfloat linear meter mulaw multi null plug                   rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="nikon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en pl uk be de en_GB" PHP_TARGETS="php-5.2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 80 Andreas K. Hüttel gentoo-dev 2010-10-15 01:00:14 UTC
Andrij, please remove the file 

/etc/portage/patches/kde-base/pykde4/PyQt4-4.7.6-typedefs.patch

Then your build should work fine.
Comment 81 Andriy Baranskyy 2010-10-15 01:28:21 UTC
Thanks! This fixed the problem!
Comment 82 Attila Olah 2010-10-23 03:08:02 UTC
I'm still getting the same error (Mapped type has already been defined in another module), but with qgis. PyQt4 has just recompiled fine, and sip also compiled fine. Note that this is Python 2.7.0+ (a nightly snapshot; I know it's not supported, but if it would be a Python issue I'd be glad to fire up my debugger.)

Should I open a new bug?
Comment 83 Richard 2010-10-23 03:14:09 UTC
(In reply to comment #82)
> I'm still getting the same error (Mapped type has already been defined in
> another module), but with qgis. PyQt4 has just recompiled fine, and sip also
> compiled fine. Note that this is Python 2.7.0+ (a nightly snapshot; I know it's
> not supported, but if it would be a Python issue I'd be glad to fire up my
> debugger.)
> 
> Should I open a new bug?
> 

What version of KDE are you running? Would you post the output of "emerge --info pykde4"?
Comment 84 Attila Olah 2010-10-23 03:19:58 UTC
I'm not running KDE (as in window manager), I use Awesome, but I have a couple of KDE apps.

I have kde-base/kdebase-runtime-meta 4.5.2.

$ emerge --info pykde4

Portage 2.1.9.21 (default/linux/amd64/10.0, gcc-4.4.4, glibc-2.12.1-r1, 2.6.35-gentoo-r1-aiur-r2 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.35-gentoo-r1-aiur-r2-x86_64-AMD_Turion-tm-X2_Dual_Core_Mobile_RM-70-with-gentoo-2.0.1
Timestamp of tree: Fri, 22 Oct 2010 12:30:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.4.6, 2.5.4-r4, 2.6.6-r1, 2.7.1_pre20101010::python, 3.1.3_pre20101010::python, 3.2_pre20101010::python
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.3
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.5, 4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.35 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"

CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -pipe -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=athlon64 -pipe -O2"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"  
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /var/lib/layman/python /var/lib/layman/sunrise /var/lib/layman/ruby /var/lib/layman/nodejs /var/lib/layman/mozilla /var/lib/layman/cj-overlay /usr/local/portage /mnt/data/work/geoverlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit X aac aalib acl acpi addbookmarks additions alsa amd64 animation-rtl ao autoreplace bash-completion berkdb bluetooth bonjour bzip2 cairo calendar capi caps cdda cddb cdr chm ciao cluceneconsolekit consolekit contactnotes cracklib crypt cups curl curses cxx daap dbus dga dhcp digitalradio dimidity djvu dri dv dvb dvd dvdr ebook emovix encode exif extensions extrafilters extras faac faad fame ffmpeg fits flac fontconfig fortran ftp fts3 gadu gdbm gecko geos gif gml gnome gnutls gpg gpm gps graphviz grass groupwise gsl gsm gtk hal hdf highlight history iconv icq icu id3tag idn imagemagick ioctl ipv6 irc jabber java jbig jingle jpeg jpeg2k kde krb4 krb5 lame laptop lastfm latex lcms ldap libnotify libwww lightning lua lzo mad md5sum meanwhile midi mikmod mjpeg mmx mng modules mono mp3 mp3tunes mpeg mpi mpi-threads mplayer msn mtp mudflap multicall multilib musicbrainz mysql nas ncurses netcdf network nls nowlistening nptl nptlonly nsplugin nspluginwrapper nss nuv ogdi ogg openal opengl openmp oscar otr pam pccts pdf perl pg-intdatetime pic pipes png postgres pppd prediction privacy python qq qt3support qt4 quicktime radio raptor rar raster readline redeyes redland replytolist romio rss ruby samba sasl scanner schroedinger sdl secure-delete silc sip skype slang smp sms sndfile socks5 sox spell sql sqlite sse sse2 ssl startup-notification statistics subversion svg symlink synaptics sysfs taglib tao tcl tcpd templates testbed texteffect tga theora threads threadsafe thumbnail tiff tk translator truetype unicode urlpicpreview usb utils v4l v4l2 vcd video vim-syntax virtuoso vorbis wav wavpack webinterface webkit webpresence wifi winpopup wmf x264 xanim xcb xinerama xml xorg xpm xvid yahoo yv12 zephyr zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="alias asis rewrite auth_basic auth_digest authn_anon authn_file authz_host authz_owner authz_user log_config autoindex cache deflate dir disk_cache file_cache filter headers mem_cache mime mime_magic unique_id userdir vhost_alias version" APACHE2_MPMS="worker" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

kde-base/pykde4-4.5.2 was built with the following:
USE="(multilib) (-aqua) -debug -doc -examples (-kdeenablefinal) (-kdeprefix) -semantic-desktop"
Comment 85 Richard 2010-10-23 03:48:55 UTC
For better visibility, it might be better to file another bug. Please post the build.log from the failure. That would probably be the most helpful for people trying to understand what is going wrong on your system.
Comment 86 Leonid Podolny 2010-12-25 19:43:54 UTC
Guys, this bug is back at pykde4-4.5.4. Can you reopen this one, or should I post a new bug?
Comment 87 Richard 2010-12-25 20:03:08 UTC
(In reply to comment #86)
> Guys, this bug is back at pykde4-4.5.4. Can you reopen this one, or should I
> post a new bug?
> 

Is your egl use flag enabled in qt-gui and qt-opengl? Someone at the forums says that is a known issue:

http://forums.gentoo.org/viewtopic-t-844013-postdays-0-postorder-asc-start-150.html
Comment 88 Leonid Podolny 2010-12-25 20:04:58 UTC
(In reply to comment #87)
> (In reply to comment #86)
> > Guys, this bug is back at pykde4-4.5.4. Can you reopen this one, or should I
> > post a new bug?
> > 
> 
> Is your egl use flag enabled in qt-gui and qt-opengl? Someone at the forums
> says that is a known issue:
> 
> http://forums.gentoo.org/viewtopic-t-844013-postdays-0-postorder-asc-start-150.html
> 

No, it's disabled. I'm reopening this bug.

Comment 89 Leonid Podolny 2010-12-25 20:06:13 UTC
Ah, I can't reopen it.
Comment 90 Leonid Podolny 2010-12-25 20:10:39 UTC
Opened bug 349707 instead